---
updatedAt: 2026-06-09T13:03:57.000Z
agentTools:
  projectIndex: https://docs.api.kiln.fi/v0-api-testnet/llms.txt
---

# Unstake Claim Tokens Transaction

Generates an unstakeClaimTokens transaction to withdraw unbonded tokens back to your wallet

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "x-logo": {
      "url": "assets/logo-preview.png"
    },
    "title": "Kiln API",
    "description": "This API provides reporting staking data on various protocols as\nwell as network wide data, staking transaction crafting features\nand so on.\n\n### ACCESS\n\nIn order to use the Kiln API, you must first get an API token\nfrom your <a href=\"https://dashboard.kiln.fi/\">Kiln dashboard</a>\n(applications section). If you don't have access to our dashboard,\nplease get in touch at hello@kiln.fi.\n\nOnce you have your API token, you can set it as a bearer token in\nyour HTTP request headers, and target the Kiln API endpoint with\nthe current MAJOR version of the API as a prefix to routes:\n\n<blockquote>\ncurl \"https://api.kiln.fi/v1/...\" -H \"Authorization: Bearer $KILN_API_TOKEN\"\n</blockquote>\n\n<i>\nIf you need a development environment, please reach out to\nhello@kiln.fi to have a specific access to our testnet environment\nand dedicated API endpoint.\n</i>\n\n### VERSIONING\n\nVersions of the Kiln API use <b>MAJOR.MINOR.PATCH</b> where:\n\n- <b>MAJOR</b> version is increased when there is major\n  incompatible API changes, major versions will be communicated in\n  advance to all customers with a smooth transition path that\n  spans over a minimum period of 3 MINOR versions or ~3\n  months. <i>Intended frequency: 1 year</i>.\n- <b>MINOR</b> version is increased for backward compatible API\n  changes without notice, or communicated breaking changes with a\n  1 minor version notice and a smooth migration path. Minor\n  versions will be communicated regularly to customers with the\n  changelog. <i>Intended frequency: 1 month</i>.\n- <b>PATCH</b> version is increased for backward compatible\n  hot-fixes, patch versions will be communicated to affected\n  customers.\n\n<i>\nDue to the nature of blockchains (protocol disappearing,\nbreaking protocol upgrades), Kiln may introduce\nbackward-incompatible changes in MINOR versions after following\na 1 MINOR version deprecation path (~1 month). These impacting\nchanges will be narrowed as much as possible to the protocol,\nheavily communicated with clear guidelines and support. Customer\nnot relying on affected protocols will not be affected.\n</i>\n\n### BACKWARD COMPATIBILITY\n\nKiln considers the following changes to be backward compatible:\n\n- Adding new API routes.\n- Adding new optional request parameters to existing API methods.\n- Adding new properties to existing API responses.\n- Changing the order of properties in existing API responses.\n- Adding new event types in existing enums.\n\nNon-breaking changes may be introduced in our API and subject to\nmodification before being officialy communicated and documented\nhere. Your application should not depend on them until part of\nthis specification. The preview Kiln API specifications with\nupcoming and experimental new features can be found\n[here](/preview.html).\n\n### REWARDS BEHAVIOR\n\n- No `start_date`: Returns rewards from validator activation date.\n- No `end_date`: Returns rewards up to yesterday.",
    "termsOfService": "https://kiln.fi/",
    "contact": {
      "email": "contact@kiln.fi"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
    },
    "version": "Preview"
  },
  "servers": [
    {
      "url": "https://api.kiln.fi/v1"
    },
    {
      "url": "https://api.testnet.kiln.fi/v1"
    }
  ],
  "tags": [
    {
      "name": "Polygon (MATIC)",
      "description": "Deprecated endpoints that will be removed in a future version. Please use POL endpoints instead. Staking facilities for the Polygon protocol."
    }
  ],
  "paths": {
    "/matic/transaction/unstake-claim-tokens": {
      "post": {
        "deprecated": true,
        "tags": [
          "Polygon (MATIC)"
        ],
        "summary": "Unstake Claim Tokens Transaction",
        "description": "Generates an unstakeClaimTokens transaction to withdraw unbonded tokens back to your wallet",
        "operationId": "postMaticUnstakeClaimTokensTx",
        "requestBody": {
          "description": "Transaction to craft",
          "required": true,
          "content": {
            "application/json; charset=utf-8": {
              "schema": {
                "$ref": "#/components/schemas/MATICCraftUnstakeClaimTokensTxPayload"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful operation",
            "content": {
              "application/json; charset=utf-8": {
                "schema": {
                  "type": "object",
                  "required": [
                    "data"
                  ],
                  "properties": {
                    "data": {
                      "$ref": "#/components/schemas/MATICUnsignedTx"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Invalid parameters"
          },
          "401": {
            "description": "Unauthorized"
          },
          "500": {
            "description": "Internal server error"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer"
      }
    },
    "schemas": {
      "MATICUnsignedTx": {
        "required": [
          "unsigned_tx_hash",
          "unsigned_tx_serialized",
          "to",
          "contract_call_data",
          "amount_wei",
          "nonce",
          "gas_limit",
          "max_priority_fee_per_gas_wei",
          "max_fee_per_gas_wei",
          "chain_id"
        ],
        "type": "object",
        "properties": {
          "unsigned_tx_hash": {
            "type": "string",
            "description": "Hash of the unsigned transaction",
            "example": "0x43244f90814b31dec250de24df5bb023a338790c1d5a39244cf1064cf6d98c94"
          },
          "unsigned_tx_serialized": {
            "type": "string",
            "description": "Unsigned serialized transaction",
            "example": "0x20a40259b763d549dfa1c082776a036dd8dabbe8b5e32ee721be017512dc"
          },
          "to": {
            "type": "string",
            "description": "Contract address of the transaction recipient",
            "example": "0x0d4a11d5eeaac28ec3f61d100daf4d40471f1852"
          },
          "contract_call_data": {
            "type": "string",
            "description": "Hex encoded contract data to be sent with the transaction",
            "example": "0xca0bfcce0000000000000000000000000000000000000000000000000000000000000080000000000000000000000000000000000000000000000000000000000000012000000000000000000000000000000000000000000000000000000000000001a000000000000000000000000000000000000000000000000000000000000002600000000000000000000000000000000000000000000000000000000000000001000000000000000000000000000000000000000000000000000000000000002000000000000000000000000000000000000000000000000000000000000000309696c02ec4dbb99f714e26ff1acdf6b258d36dcbad7b8b549553bc99b94ea639cd247f31683564995afd48568c1b6edd00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000100000000000000000000000000000000000000000000000000000000000000200000000000000000000000000000000000000000000000000000000000000020010000000000000000000000bc86717bad3f8ccf86d2882a6bc351c94580a994000000000000000000000000000000000000000000000000000000000000000100000000000000000000000000000000000000000000000000000000000000200000000000000000000000000000000000000000000000000000000000000060a3869da2ed5cc558f016d59fc5ceb0cac28e58743836aa3cf146221f1ef0b959e3cc5c589e05e171f1473596aadf36411767ad92edaae421ba0291bd7568267b3faabc3ab6ed9ddfc048ea6640370977f16f4f626a0e567a11ba25acdc520bb000000000000000000000000000000000000000000000000000000000000000012dd65914dda46639df6344701de54ac3ebe34a4b230262d3017fcd6c29954452"
          },
          "amount_wei": {
            "type": "string",
            "nullable": true,
            "description": "Amount of MATIC to send in wei",
            "example": "32000000000000000000"
          },
          "nonce": {
            "type": "integer",
            "description": "Nonce of the transaction",
            "example": 1
          },
          "gas_limit": {
            "type": "integer",
            "description": "Gas limit of the transaction in gas units. We provide a default value of two times the estimated gas limit",
            "example": 140244
          },
          "max_priority_fee_per_gas_wei": {
            "type": "string",
            "description": "Max priority fee per gas in wei. This is basically the miner fee. We provide a default value of 2 gwei so transactions are mined faster.",
            "example": "2000000000"
          },
          "max_fee_per_gas_wei": {
            "type": "string",
            "description": "Max fee per gas in wei. This is the maximum amount of gas that you are willing to pay for the transaction.",
            "example": "383687469748"
          },
          "chain_id": {
            "type": "integer",
            "description": "Chain ID of the network",
            "example": 1
          }
        }
      },
      "MATICCraftUnstakeClaimTokensTxPayload": {
        "type": "object",
        "required": [
          "wallet",
          "validator_share_proxy_address"
        ],
        "properties": {
          "wallet": {
            "type": "string",
            "example": "0xe1f4acc0affB36a805474e3b6ab786738C6900A2",
            "description": "Wallet address"
          },
          "validator_share_proxy_address": {
            "type": "string",
            "example": "0xD14a87025109013B0a2354a775cB335F926Af65A",
            "description": "Contract address of the validator share proxy contract"
          }
        }
      }
    }
  },
  "security": [
    {
      "bearerAuth": []
    }
  ]
}
```